Bug Hunting Session
Bug 119890 - Default directory for my documents is not xdg-user-dir DOCUMENTS
Summary: Default directory for my documents is not xdg-user-dir DOCUMENTS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.3.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Takeshi Abe
URL:
Whiteboard: target:6.3.0 target:6.2.2 target:6.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-14 21:19 UTC by Daniel Schürmann
Modified: 2019-04-14 07:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Schürmann 2018-09-14 21:19:31 UTC
Description:
Original posted and confirmed here: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1792017
libreoffice 1:6.0.3-0ubuntu1
Ubuntu 18.04. LTS


The default working dir is hard coded to ~/Documents
(Optionen -> Pfade -> Arbeitsverzeichnis -> Standard)

If this folder does not exists, it falls back to ~

This creates odd situations since only the "xdg-user-dir DOCUMENTS" folder, in my case ~/Dokumente is on the Nautilus short cuts list, 

I had to redo my saved work, because I have assumed it was lost in ~/Dokumente

I was able to fixed this for my family by changing the working directory in preferences manually.


I had a bief look into the source
https://github.com/LibreOffice/core/blob/b5867945d67dba505d0629e5e41fdc52bc78bfee/shell/source/backends/desktopbe/desktopbackend.cxx#L245

And it looks like using "xdg-user-dir DOCUMENTS" is intended. It is done by accessing directly the "~/.config/user-dirs.dirs" file. Maybe it fails somewhere? The xdg-user-dir DOCUMENTS" call works fine on the command line. 

This is my ~/.config/user-dirs.dirs

# This file is written by xdg-user-dirs-update
# If you want to change or add directories, just edit the line you're
# interested in. All local changes will be retained on the next run
# Format is XDG_xxx_DIR="$HOME/yyy", where yyy is a shell-escaped
# homedir-relative path, or XDG_xxx_DIR="/yyy", where /yyy is an
# absolute path. No other format is supported.
#
XDG_DESKTOP_DIR="$HOME/Desktop"
XDG_DOWNLOAD_DIR="$HOME/Downloads"
XDG_TEMPLATES_DIR="$HOME/Vorlagen"
XDG_PUBLICSHARE_DIR="$HOME/Öffentlich"
XDG_DOCUMENTS_DIR="$HOME/Dokumente"
XDG_MUSIC_DIR="$HOME/Musik"
XDG_PICTURES_DIR="$HOME/Bilder"
XDG_VIDEOS_DIR="$HOME/Videos"

I suggest to change the default working dir to the output of the "xdg-user-dir DOCUMENTS" call. 
That is hopeful future proof format changes 






Steps to Reproduce:
1. cereate ~/Documents on a German Ubuntu 
2. save a file
3. Whatch the folder opened by the file save dialogue 

Actual Results:
file is saved at ~/Documents

Expected Results:
file should be saved at ~Dokumente
"call xdg-user-dir DOCUMENTS" to set the default working dir 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.3.2
Build-ID: 1:6.0.3-0ubuntu1
CPU-Threads: 4; BS: Linux 4.15; UI-Render: Standard; VCL: gtk3; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 1 Buovjaga 2018-10-09 15:52:34 UTC
NEW as already confirmed.
Comment 2 Xisco Faulí 2019-02-12 17:07:34 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/67741/
Comment 3 Commit Notification 2019-02-13 09:03:45 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/91731a8674d764293e2988333027f82f15b2577e%5E%21

tdf#119890 Lookup XDG_(DOCUMENTS|TEMPLATES)_DIR correctly

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-02-13 10:33:09 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/38707435918b250d8a722f7ae324c29f00622a0b%5E%21

tdf#119890 Lookup XDG_(DOCUMENTS|TEMPLATES)_DIR correctly

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-04-13 13:00:32 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/88d46ba32e4a03d848d82210071c42208e0d6eca%5E%21

tdf#119890 followup: Forbid HOME to be the default dir

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-04-13 19:45:08 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/64381dad01132f74e513c347db87f304d0e704ff%5E%21

tdf#119890 followup: Forbid HOME to be the default dir

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.